import 'package:flutter/material.dart';

class LogInButton extends StatelessWidget {
  final String text;
  final VoidCallback onPressed;

  const LogInButton({
    super.key,
    required this.text,
    required this.onPressed, 
  });

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        backgroundColor: const Color.fromARGB(255, 30, 137, 221),
        minimumSize: const Size(double.infinity, 48), 
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(32),
        ),
      ),
      onPressed: onPressed,
      child: Text(
        text,
        style: const TextStyle(
          color: Colors.white, 
          fontSize: 16,
          fontWeight: FontWeight.bold,
        ),
      ),
    );
  }
}